depth: Get order book depth

API: novadax.com:novadax
Endpoint: /v1/market/depth
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 190ms

Description

Returns the current order book (asks and bids) for a specific trading pair.

Parameters (2)

limit (integer, query, optional)

Number of price levels to return (max 50)

Constraints: {'maximum': 50}

symbol (string, query, required)

Trading symbol (e.g., BTC_USDT)

Examples (1)

Get order book depth openapi-spec
curl 'https://api.novadax.com/v1/market/depth?symbol=BTC_USDT&limit=5'
import requests

resp = requests.get(
    "https://api.novadax.com/v1/market/depth",
    params={
        'symbol': 'BTC_USDT',
        'limit': '5',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("novadax")
result = api.fetch("v1/market/depth", symbol="BTC_USDT", limit=5)

for item in result:
    print(item)
const resp = await fetch("https://api.novadax.com/v1/market/depth?symbol=BTC_USDT&limit=5");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:30:28.956918 200 190ms
2026-04-16 02:44:42.839813 200 133ms
2026-04-15 00:05:46.368536 200 191ms
2026-04-14 02:41:19.368297 200 176ms
2026-04-12 16:50:09.299962 200 172ms
2026-04-10 04:11:41.316821 200 116ms
2026-04-09 00:19:29.691108 200 200ms